XFcPixelConverter class Reference

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# XFcPixelConverter Class Reference

List of all members.

## Static Public Member Functions

XFCIMPORT UINT32 | convert565ToX888 (UINT32)
| Converts a pixel from 565 to X888 format.
XFCIMPORT UINT32 | convert565To1555 (UINT32)
| Converts a pixel from 565 to 1555 format.
XFCIMPORT UINT32 | convert565To8888 (UINT32)
| Converts a pixel from 565 to 8888 format.
XFCIMPORT UINT32 | convert565ToX6X5X5 (UINT32)
| Converts a pixel from 565 to X6X5X5 format.
XFCIMPORT UINT32 | convert565To1X5X5X5 (UINT32)
| Converts a pixel from 565 to 1X5X5X5 format.
XFCIMPORT UINT32 | convert565To55X5 (UINT32)
| Converts a pixel from 565 to 55X5 format.
XFCIMPORT UINT32 | convert565To5515 (UINT32)
| Converts a pixel from 565 to 5515 format.
XFCIMPORT UINT32 | convert565ToPremul8888 (UINT32)
| Converts a pixel from 565 to premultiplied 8888 format.
XFCIMPORT UINT32 | convertX888To565 (UINT32)
| Converts a pixel from X888 to 565 format.
XFCIMPORT UINT32 | convertX888To1555 (UINT32)
| Converts a pixel from X888 to 1555 format.
XFCIMPORT UINT32 | convertX888To8888 (UINT32)
| Converts a pixel from X888 to 8888 format.
XFCIMPORT UINT32 | convertX888ToX6X5X5 (UINT32)
| Converts a pixel from X888 to X6X5X5 format.
XFCIMPORT UINT32 | convertX888To1X5X5X5 (UINT32)
| Converts a pixel from X888 to 1X5X5X5 format.
XFCIMPORT UINT32 | convertX888To55X5 (UINT32)
| Converts a pixel from X888 to 55X5 format.
XFCIMPORT UINT32 | convertX888To5515 (UINT32)
| Converts a pixel from X888 to 5515 format.
XFCIMPORT UINT32 | convertX888ToPremul8888 (UINT32)
| Converts a pixel from X888 to premultiplied 8888 format.
XFCIMPORT UINT32 | convert1555To565 (UINT32)
| Converts a pixel from 1555 to 565 format.
XFCIMPORT UINT32 | convert1555ToX888 (UINT32)
| Converts a pixel from 1555 to X888 format.
XFCIMPORT UINT32 | convert1555To8888 (UINT32)
| Converts a pixel from 1555 to 8888 format.
XFCIMPORT UINT32 | convert1555ToX6X5X5 (UINT32)
| Converts a pixel from 1555 to X6X5X5 format.
XFCIMPORT UINT32 | convert1555To1X5X5X5 (UINT32)
| Converts a pixel from 1555 to 1X5X5X5 format.
XFCIMPORT UINT32 | convert1555To55X5 (UINT32)
| Converts a pixel from 1555 to 55X5 format.
XFCIMPORT UINT32 | convert1555To5515 (UINT32)
| Converts a pixel from 1555 to 5515 format.
XFCIMPORT UINT32 | convert1555ToPremul8888 (UINT32)
| Converts a pixel from 1555 to premultipled 8888 format.
XFCIMPORT UINT32 | convert8888ToX888 (UINT32)
| Converts a pixel from 8888 to X888 format.
XFCIMPORT UINT32 | convert8888To1555 (UINT32)
| Converts a pixel from 8888 to 1555 format.
XFCIMPORT UINT32 | convert8888To1X5X5X5 (UINT32)
| Converts a pixel from 8888 to 1X5X5X5 format.
XFCIMPORT UINT32 | convert8888To5515 (UINT32)
| Converts a pixel from 8888 to 5515 format.
XFCIMPORT UINT32 | convert8888ToPremul8888 (UINT32)
| Converts a pixel from 8888 to premultiplied 8888 format.
XFCIMPORT UINT32 | convertX6X5X5To565 (UINT32)
| Converts a pixel from X6X5X5 to 565 format.
XFCIMPORT UINT32 | convertX6X5X5ToX888 (UINT32)
| Converts a pixel from X6X5X5 to X888 format.
XFCIMPORT UINT32 | convertX6X5X5To1555 (UINT32)
| Converts a pixel from X6X5X5 to 1555 format.
XFCIMPORT UINT32 | convertX6X5X5To8888 (UINT32)
| Converts a pixel from X6X5X5 to 8888 format.
XFCIMPORT UINT32 | convertX6X5X5To1X5X5X5 (UINT32)
| Converts a pixel from X6X5X5 to 1X5X5X5 format.
XFCIMPORT UINT32 | convertX6X5X5To55X5 (UINT32)
| Converts a pixel from X6X5X5 to 55X5 format.
XFCIMPORT UINT32 | convertX6X5X5To5515 (UINT32)
| Converts a pixel from X6X5X5 to 5515 format.
XFCIMPORT UINT32 | convertX6X5X5ToPremul8888 (UINT32)
| Converts a pixel from X6X5X5 to premultiplied 8888 format.
XFCIMPORT UINT32 | convert1X5X5X5To565 (UINT32)
| Converts a pixel from 1X5X5X5 to 565 format.
XFCIMPORT UINT32 | convert1X5X5X5ToX888 (UINT32)
| Converts a pixel from 1X5X5X5 to X888 format.
XFCIMPORT UINT32 | convert1X5X5X5To1555 (UINT32)
| Converts a pixel from 1X5X5X5 to 1555 format.
XFCIMPORT UINT32 | convert1X5X5X5To8888 (UINT32)
| Converts a pixel from 1X5X5X5 to 8888 format.
XFCIMPORT UINT32 | convert1X5X5X5ToX6X5X5 (UINT32)
| Converts a pixel from 1X5X5X5 to X6X5X5 format.
XFCIMPORT UINT32 | convert1X5X5X5To55X5 (UINT32)
| Converts a pixel from 1X5X5X5 to 55X5 format.
XFCIMPORT UINT32 | convert1X5X5X5To5515 (UINT32)
| Converts a pixel from 1X5X5X5 to 5515 format.
XFCIMPORT UINT32 | convert1X5X5X5ToPremul8888 (UINT32)
| Converts a pixel from 1X5X5X5 to premultiplied 8888 format.
XFCIMPORT UINT32 | convert55X5To565 (UINT32)
| Converts a pixel from 55X5 to 565 format.
XFCIMPORT UINT32 | convert55X5ToX888 (UINT32)
| Converts a pixel from 55X5 to X888 format.
XFCIMPORT UINT32 | convert55X5To1555 (UINT32)
| Converts a pixel from 55X5 to 1555 format.
XFCIMPORT UINT32 | convert55X5To8888 (UINT32)
| Converts a pixel from 55X5 to 8888 format.
XFCIMPORT UINT32 | convert55X5ToX6X5X5 (UINT32)
| Converts a pixel from 55X5 to X6X5X5 format.
XFCIMPORT UINT32 | convert55X5To1X5X5X5 (UINT32)
| Converts a pixel from 55X5 to 1X5X5X5 format.
XFCIMPORT UINT32 | convert55X5To5515 (UINT32)
| Converts a pixel from 55X5 to 5515 format.
XFCIMPORT UINT32 | convert55X5ToPremul8888 (UINT32)
| Converts a pixel from 55X5 to premultiplied 8888 format.
XFCIMPORT UINT32 | convert5515To565 (UINT32)
| Converts a pixel from 5515 to 565 format.
XFCIMPORT UINT32 | convert5515ToX888 (UINT32)
| Converts a pixel from 5515 to X888 format.
XFCIMPORT UINT32 | convert5515To1555 (UINT32)
| Converts a pixel from 5515 to 1555 format.
XFCIMPORT UINT32 | convert5515To8888 (UINT32)
| Converts a pixel from 5515 to 8888 format.
XFCIMPORT UINT32 | convert5515ToX6X5X5 (UINT32)
| Converts a pixel from 5515 to X6X5X5 format.
XFCIMPORT UINT32 | convert5515To1X5X5X5 (UINT32)
| Converts a pixel from 5515 to 1X5X5X5 format.
XFCIMPORT UINT32 | convert5515To55X5 (UINT32)
| Converts a pixel from 5515 to 55X5 format.
XFCIMPORT UINT32 | convert5515ToPremul8888 (UINT32)
| Converts a pixel from 5515 to premultiplied 8888 format.
XFCIMPORT UINT32 | convertPremul8888To1555 (UINT32)
| Converts a pixel from premultiplied 8888 to 1555 format.
XFCIMPORT UINT32 | convertPremul8888To8888 (UINT32)
| Converts a pixel from premultiplied 8888 to 8888 format.
XFCIMPORT UINT32 | convertPremul8888To1X5X5X5 (UINT32)
| Converts a pixel from premultiplied 8888 to 1X5X5X5 format.
XFCIMPORT UINT32 | convertPremul8888To5515 (UINT32)
| Converts a pixel from premultiplied 8888 to 5515 format.
XFCIMPORT UINT32 | copyPixel (UINT32)
| Copies the pixel value.
XFCIMPORT void | convertBuffer565ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to X888 format.
XFCIMPORT void | convertBuffer565To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to 1555 format.
XFCIMPORT void | convertBuffer565To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to 8888 format.
XFCIMPORT void | convertBuffer565ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to X6X5X5 format.
XFCIMPORT void | convertBuffer565To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to 1X5X5X5 format.
XFCIMPORT void | convertBuffer565To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to 55X5 format.
XFCIMPORT void | convertBuffer565To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to 5515 format.
XFCIMPORT void | convertBuffer565ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 565 to premultiplied 8888 format.
XFCIMPORT void | convertBufferX888To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to 565 format.
XFCIMPORT void | convertBufferX888To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to 1555 format.
XFCIMPORT void | convertBufferX888To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to 8888 format.
XFCIMPORT void | convertBufferX888ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to X6X5X5 format.
XFCIMPORT void | convertBufferX888To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to 1X5X5X5 format.
XFCIMPORT void | convertBufferX888To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to 55X5 format.
XFCIMPORT void | convertBufferX888To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to 5515 format.
XFCIMPORT void | convertBufferX888ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X888 to premultiplied 8888 format.
XFCIMPORT void | convertBuffer1555To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to 565 format.
XFCIMPORT void | convertBuffer1555ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to X888 format.
XFCIMPORT void | convertBuffer1555To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to 8888 format.
XFCIMPORT void | convertBuffer1555ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to X6X5X5 format.
XFCIMPORT void | convertBuffer1555To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to 1X5X5X5 format.
XFCIMPORT void | convertBuffer1555To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to 55X5 format.
XFCIMPORT void | convertBuffer1555To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to 5515 format.
XFCIMPORT void | convertBuffer1555ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1555 to premultipled 8888 format.
XFCIMPORT void | convertBuffer8888ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 8888 to X888 format.
XFCIMPORT void | convertBuffer8888To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 8888 to 1555 format.
XFCIMPORT void | convertBuffer8888To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 8888 to 1X5X5X5 format.
XFCIMPORT void | convertBuffer8888To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 8888 to 5515 format.
XFCIMPORT void | convertBuffer8888ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 8888 to premultiplied 8888 format.
XFCIMPORT void | convertBufferX6X5X5To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to 565 format.
XFCIMPORT void | convertBufferX6X5X5ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to X888 format.
XFCIMPORT void | convertBufferX6X5X5To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to 1555 format.
XFCIMPORT void | convertBufferX6X5X5To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to 8888 format.
XFCIMPORT void | convertBufferX6X5X5To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to 1X5X5X5 format.
XFCIMPORT void | convertBufferX6X5X5To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to 55X5 format.
XFCIMPORT void | convertBufferX6X5X5To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to 5515 format.
XFCIMPORT void | convertBufferX6X5X5ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from X6X5X5 to premultiplied 8888 format.
XFCIMPORT void | convertBuffer1X5X5X5To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to 565 format.
XFCIMPORT void | convertBuffer1X5X5X5ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to X888 format.
XFCIMPORT void | convertBuffer1X5X5X5To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to 1555 format.
XFCIMPORT void | convertBuffer1X5X5X5To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to 8888 format.
XFCIMPORT void | convertBuffer1X5X5X5ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to X6X5X5 format.
XFCIMPORT void | convertBuffer1X5X5X5To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to 55X5 format.
XFCIMPORT void | convertBuffer1X5X5X5To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to 5515 format.
XFCIMPORT void | convertBuffer1X5X5X5ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 1X5X5X5 to premultiplied 8888 format.
XFCIMPORT void | convertBuffer55X5To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to 565 format.
XFCIMPORT void | convertBuffer55X5ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to X888 format.
XFCIMPORT void | convertBuffer55X5To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to 1555 format.
XFCIMPORT void | convertBuffer55X5To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to 8888 format.
XFCIMPORT void | convertBuffer55X5ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to X6X5X5 format.
XFCIMPORT void | convertBuffer55X5To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to 1X5X5X5 format.
XFCIMPORT void | convertBuffer55X5To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to 5515 format.
XFCIMPORT void | convertBuffer55X5ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 55X5 to premultiplied 8888 format.
XFCIMPORT void | convertBuffer5515To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to 565 format.
XFCIMPORT void | convertBuffer5515ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to X888 format.
XFCIMPORT void | convertBuffer5515To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to 1555 format.
XFCIMPORT void | convertBuffer5515To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to 8888 format.
XFCIMPORT void | convertBuffer5515ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to X6X5X5 format.
XFCIMPORT void | convertBuffer5515To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to 1X5X5X5 format.
XFCIMPORT void | convertBuffer5515To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to 55X5 format.
XFCIMPORT void | convertBuffer5515ToPremul8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from 5515 to premultiplied 8888 format.
XFCIMPORT void | convertBufferPremul8888To565 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to 565 format.
XFCIMPORT void | convertBufferPremul8888ToX888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to X888 format.
XFCIMPORT void | convertBufferPremul8888To1555 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to 1555 format.
XFCIMPORT void | convertBufferPremul8888To8888 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to 8888 format.
XFCIMPORT void | convertBufferPremul8888ToX6X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to X6X5X5 format.
XFCIMPORT void | convertBufferPremul8888To1X5X5X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to 1X5X5X5 format.
XFCIMPORT void | convertBufferPremul8888To55X5 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to 55X5 format.
XFCIMPORT void | convertBufferPremul8888To5515 (void *aSource, void *aTarget, INT32 aCount)
| Converts a buffer of pixels from premultiplied 8888 to 5515 format.
XFCIMPORT void | copyBuffer16 (void *aSource, void *aTarget, INT32 aCount)
| Copies INT16 buffer to INT16 buffer.
XFCIMPORT void | copyBuffer32 (void *aSource, void *aTarget, INT32 aCount)
| Copies INT32 buffer to INT32 buffer.
XFCIMPORT UINT32 | convert (UINT32 aSource, INT32 aSourceFormat, INT32 aTargetFormat)
| Converts a single pixel between two specified pixel formats.
XFCIMPORT void | convertBuffer (void *aSource, void *aTarget, INT32 aCount, INT32 aSourceFormat, INT32 aTargetFormat)
| Converts a buffer of pixels between two specified pixel formats.
xfcPixelConversionFunction | getConversionFunction (INT32 aSourceFormat, INT32 aTargetFormat)
| Returns a conversion function for single pixel conversion of source format to target format.
xfcPixelBufferConversionFunction | getBufferConversionFunction (INT32 aSourceFormat, INT32 aTargetFormat)
| Returns a buffer conversion function for conversion of source format to target format.

## Member Function Documentation

XFCIMPORT UINT32 XFcPixelConverter::convert | ( | UINT32 | aSource,
|  | INT32 | aSourceFormat,
|  | INT32 | aTargetFormat
| ) | `[static]`

Converts a single pixel between two specified pixel formats.

Parameters:

  aSource | source pixel.
  aSourceFormat | source buffer pixel format, see XFCGFXFORMAT.
  aTargetFormat | target buffer pixel format, see XFCGFXFORMAT.

Returns:
  converted pixel in the requested target format.

See also:
  XFCGFXFORMAT

Note:
  this is not meant to be fast. Please use the XFCPC_ macros from XFcPixelConverter.h to perform fast operations.

XFCIMPORT UINT32 XFcPixelConverter::convert1555To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555To55X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to 55X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555To565 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to 565 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to premultipled 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555ToX6X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to X6X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1555ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1555 to X888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5To55X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to 55X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5To565 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to 565 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5ToX6X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to X6X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert1X5X5X5ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 1X5X5X5 to X888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515To55X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to 55X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515To565 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to 565 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515ToX6X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to X6X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert5515ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 5515 to X888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5To565 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to 565 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5ToX6X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to X6X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert55X5ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 55X5 to X888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565To55X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to 55X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565ToX6X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to X6X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert565ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 565 to X888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert8888To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 8888 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convert8888To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 8888 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convert8888To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 8888 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convert8888ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 8888 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convert8888ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from 8888 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount,
|  | INT32 | aSourceFormat,
|  | INT32 | aTargetFormat
| ) | `[static]`

Converts a buffer of pixels between two specified pixel formats.

Parameters:

  aSource | source buffer.
  aTarget | target buffer.
  aCount | number of pixels to convert.
  aSourceFormat | source buffer pixel format, see XFCGFXFORMAT.
  aTargetFormat | target buffer pixel format, see XFCGFXFORMAT.

See also:
  XFCGFXFORMAT

XFCIMPORT void XFcPixelConverter::convertBuffer1555To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to premultipled 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1555ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1555 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer1X5X5X5ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 1X5X5X5 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer5515ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 5515 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer55X5ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 55X5 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer565ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 565 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer8888To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 8888 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBuffer8888To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 8888 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBuffer8888To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 8888 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBuffer8888ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 8888 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBuffer8888ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from 8888 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferPremul8888ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from premultiplied 8888 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBufferX6X5X5ToX888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X6X5X5 to X888 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888To1555 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to 1555 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888To1X5X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to 1X5X5X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888To5515 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to 5515 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888To55X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to 55X5 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888To565 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to 565 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888To8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to 8888 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888ToPremul8888 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to premultiplied 8888 format.

XFCIMPORT void XFcPixelConverter::convertBufferX888ToX6X5X5 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Converts a buffer of pixels from X888 to X6X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convertPremul8888To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from premultiplied 8888 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convertPremul8888To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from premultiplied 8888 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convertPremul8888To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from premultiplied 8888 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convertPremul8888To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from premultiplied 8888 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5To55X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to 55X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5To565 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to 565 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX6X5X5ToX888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X6X5X5 to X888 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888To1555 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to 1555 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888To1X5X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to 1X5X5X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888To5515 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to 5515 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888To55X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to 55X5 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888To565 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to 565 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888To8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888ToPremul8888 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to premultiplied 8888 format.

XFCIMPORT UINT32 XFcPixelConverter::convertX888ToX6X5X5 | ( | UINT32 |  | ) | `[static]`

| Converts a pixel from X888 to X6X5X5 format.

XFCIMPORT void XFcPixelConverter::copyBuffer16 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Copies INT16 buffer to INT16 buffer.

XFCIMPORT void XFcPixelConverter::copyBuffer32 | ( | void * | aSource,
|  | void * | aTarget,
|  | INT32 | aCount
| ) | `[static]`

| Copies INT32 buffer to INT32 buffer.

XFCIMPORT UINT32 XFcPixelConverter::copyPixel | ( | UINT32 |  | ) | `[static]`

| Copies the pixel value.

xfcPixelBufferConversionFunction XFcPixelConverter::getBufferConversionFunction | ( | INT32 | aSourceFormat,
|  | INT32 | aTargetFormat
| ) | `[static]`

Returns a buffer conversion function for conversion of source format to target format.

Parameters:

  aSourceFormat | source buffer pixel format, see XFCGFXFORMAT.
  aTargetFormat | target buffer pixel format, see XFCGFXFORMAT.

xfcPixelConversionFunction XFcPixelConverter::getConversionFunction | ( | INT32 | aSourceFormat,
|  | INT32 | aTargetFormat
| ) | `[static]`

Returns a conversion function for single pixel conversion of source format to target format.

Parameters:

  aSourceFormat | source buffer pixel format, see XFCGFXFORMAT.
  aTargetFormat | target buffer pixel format, see XFCGFXFORMAT.

|  | X-Forge Documentation Confidential Copyright © 2002-2003 Fathammer |  | Documentation generated with doxygen by Dimitri van Heesch